(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      9226,        236]
NotebookOptionsPosition[      8910,        221]
NotebookOutlinePosition[      9277,        237]
CellTagsIndexPosition[      9234,        234]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"moy", "=", "5"}], ";", "\[IndentingNewLine]", 
    RowBox[{"dist", "=", 
     RowBox[{"NormalDistribution", "[", 
      RowBox[{"moy", ",", "1"}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"taille", "=", "10"}], ";", "\[IndentingNewLine]", 
    RowBox[{"z", "=", 
     RowBox[{"Quantile", "[", 
      RowBox[{
       RowBox[{"NormalDistribution", "[", 
        RowBox[{"0", ",", "1"}], "]"}], ",", 
       RowBox[{"1", "-", 
        RowBox[{"alpha", "/", "2"}]}]}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"Do", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"sample", "[", "i", "]"}], "=", 
       RowBox[{"RandomReal", "[", 
        RowBox[{"dist", ",", "taille"}], "]"}]}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"i", ",", "n"}], "}"}]}], "]"}], ";", "\[IndentingNewLine]", 
    RowBox[{"occurrence", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"IntervalMemberQ", "[", 
        RowBox[{
         RowBox[{"Interval", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"Mean", "[", 
              RowBox[{"sample", "[", "i", "]"}], "]"}], "-", 
             RowBox[{"z", "*", 
              RowBox[{
               RowBox[{"StandardDeviation", "[", 
                RowBox[{"sample", "[", "i", "]"}], "]"}], "/", 
               RowBox[{"Sqrt", "[", "taille", "]"}]}]}]}], ",", 
            RowBox[{
             RowBox[{"Mean", "[", 
              RowBox[{"sample", "[", "i", "]"}], "]"}], "+", 
             RowBox[{"z", "*", 
              RowBox[{
               RowBox[{"StandardDeviation", "[", 
                RowBox[{"sample", "[", "i", "]"}], "]"}], "/", 
               RowBox[{"Sqrt", "[", "taille", "]"}]}]}]}]}], "}"}], "]"}], 
         ",", "moy"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "n"}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"Nb", "=", 
     RowBox[{"Count", "[", 
      RowBox[{"occurrence", ",", "True"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"Column", "[", 
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Style", "[", 
        RowBox[{
         RowBox[{"\"\<nombre d'occurrences : \>\"", "<>", 
          RowBox[{"ToString", "@", "Nb"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"\"\<Times\>\"", ",", "18"}], "}"}]}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Style", "[", 
        RowBox[{
         RowBox[{"\"\<% d'occurrences : \>\"", "<>", 
          RowBox[{"ToString", "[", 
           RowBox[{"Round", "[", 
            RowBox[{
             RowBox[{"Nb", "/", "n"}], "*", "100"}], "]"}], "]"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"\"\<Times\>\"", ",", "16"}], "}"}]}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Style", "[", 
        RowBox[{
         RowBox[{"\"\<Intervalle de confiance : \>\"", "<>", 
          RowBox[{"ToString", "[", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"1", "-", "alpha"}], ")"}], "*", "100"}], "]"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"\"\<Times\>\"", ",", "16"}], "}"}]}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Show", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"Graphics", "@", 
          RowBox[{"{", 
           RowBox[{"White", ",", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"2", ",", "0"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"8", ",", "0"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"8", ",", 
                 RowBox[{"n", "+", "1"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"2", ",", 
                 RowBox[{"n", "+", "1"}]}], "}"}]}], "}"}], "]"}]}], "}"}]}], 
         ",", "\[IndentingNewLine]", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"Graphics", "@", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"PointSize", "[", "0.015", "]"}], ",", 
              RowBox[{"Point", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Mean", "[", 
                  RowBox[{"sample", "[", "i", "]"}], "]"}], ",", "i"}], "}"}],
                "]"}]}], "}"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"i", ",", "n"}], "}"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Table", "[", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"Graphics", "[", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Mean", "[", 
                   RowBox[{"sample", "[", "i", "]"}], "]"}], "-", 
                  RowBox[{"z", "*", 
                   RowBox[{
                    RowBox[{"StandardDeviation", "[", 
                    RowBox[{"sample", "[", "i", "]"}], "]"}], "/", 
                    RowBox[{"Sqrt", "[", "taille", "]"}]}]}]}], ",", "i"}], 
                "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Mean", "[", 
                   RowBox[{"sample", "[", "i", "]"}], "]"}], "+", 
                  RowBox[{"z", "*", 
                   RowBox[{
                    RowBox[{"StandardDeviation", "[", 
                    RowBox[{"sample", "[", "i", "]"}], "]"}], "/", 
                    RowBox[{"Sqrt", "[", "taille", "]"}]}]}]}], ",", "i"}], 
                "}"}]}], "}"}], "]"}], "]"}], "\[IndentingNewLine]", ",", 
           RowBox[{"{", 
            RowBox[{"i", ",", "n"}], "}"}]}], "]"}], ",", 
         RowBox[{"Frame", "\[Rule]", "True"}], ",", 
         RowBox[{"ImageSize", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"900", ",", "600"}], "}"}]}], ",", 
         RowBox[{"Epilog", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"Red", ",", "Thick", ",", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"moy", ",", "0"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"moy", ",", 
                 RowBox[{"n", "+", "1"}]}], "}"}]}], "}"}], "]"}]}], 
           "}"}]}]}], "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
      "}"}], "]"}]}], "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"n", ",", "10", ",", "\"\<nombre d'\[EAcute]chantillons\>\""}], 
      "}"}], ",", "1", ",", "50", ",", "1"}], "}"}], "\[IndentingNewLine]", 
   ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "alpha", ",", "0.32", ",", 
       "\"\<1-\[Alpha] intervalle de confiance, \[Alpha] =\>\""}], "}"}], ",",
      "0", ",", "1"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"ContinuousAction", "\[Rule]", "None"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.465039781375*^9, 3.465039883703125*^9}, {
   3.46504005465625*^9, 3.465040172984375*^9}, {3.4650402056875*^9, 
   3.465040252703125*^9}, {3.465040638390625*^9, 3.46504075828125*^9}, 
   3.465040891578125*^9, {3.465041267578125*^9, 3.465041290890625*^9}, {
   3.465041495109375*^9, 3.465041576953125*^9}, {3.465041653328125*^9, 
   3.46504180365625*^9}, {3.46504192625*^9, 3.46504202071875*^9}, {
   3.465042257453125*^9, 3.46504232978125*^9}, {3.46504256784375*^9, 
   3.465042617078125*^9}, {3.46504278246875*^9, 3.465042785734375*^9}, {
   3.46504292153125*^9, 3.46504303675*^9}, {3.465043073625*^9, 
   3.465043082671875*^9}, {3.46504312753125*^9, 3.465043140734375*^9}, {
   3.465043259640625*^9, 3.465043456046875*^9}, {3.465044139140625*^9, 
   3.46504415859375*^9}, {3.465044229171875*^9, 3.465044248703125*^9}, {
   3.46504429603125*^9, 3.465044319546875*^9}, {3.4650443570625*^9, 
   3.46504436521875*^9}, {3.46504443053125*^9, 3.465044446234375*^9}, {
   3.465044488609375*^9, 3.465044675*^9}, {3.46504474675*^9, 
   3.465044749359375*^9}, {3.4650447961875*^9, 3.465044832890625*^9}, {
   3.4650449395625*^9, 3.465044969171875*^9}}],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.46504286803125*^9, 3.465042918390625*^9}}]
},
WindowSize->{615, 750},
WindowMargins->{{Automatic, 191}, {Automatic, 88}},
ShowSelection->True,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 8267, 196, 792, "Input"],
Cell[8815, 218, 91, 1, 31, "Input"]
}
]
*)

(* End of internal cache information *)
